<?php
/**
 * Template Name: Reservation Template                                     
 * The template for displaying portfolio pages.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package Yummy Pro 1.0
 */

get_header(); 
$options = yummy_pro_get_theme_options();

if( class_exists( 'rtbInit' ) ) { ?>
    <section id="reservation" class="page-section">
        <div class="wrapper">
            <?php if( ! empty( $options['online_reservation_title'] ) ) { ?>
                <header class="entry-header">
                    <h2 class="entry-title title"><?php echo esc_html( $options['online_reservation_title'] ); ?></h2>
                </header><!--.entry-header-->
            <?php } ?>
            <div class="entry-content">
                <?php if( ! empty( $options['online_reservation_description'] ) ) { ?>
                    <p><?php echo esc_html( $options['online_reservation_description'] ); ?></p>
                <?php } 
                    echo rtb_print_booking_form(); 
                ?>
            </div><!--.entry-content-->
        </div><!--.wrapper-->

        <div class="page-decoration">
            <img src="<?php echo get_template_directory_uri().'/assets/uploads/dish-02.png'; ?>" alt="<?php esc_attr_e( 'Decoration','yummy-pro' ); ?>">
        </div><!-- .page-decoration -->
    </section><!--.reservation-->
<?php } 
    
    /*
    * @hooked yummy_pro_phone_reservation_section
    */   
    do_action( 'yummy_pro_phone_reservation_section_hook' );

    /*
    * @hooked yummy_pro_reservation_memorable_section
    */   
    do_action( 'yummy_pro_reservation_memorable_section_hook' );

get_footer();