<?php
/**
 * Top Bar options
 *
 * @package Theme Palace
 * @subpackage Yummy pro
 * @since Yummy Pro 1.0
 */
// Add about section
$wp_customize->add_section( 'yummy_pro_top_bar', array(
	'title'             => esc_html__( 'Top Bar','yummy-pro' ),
	'description'       => esc_html__( 'Top Bar options.', 'yummy-pro' ),
	'priority'   		=> 130,
) );

/**
 * Top Bar Options
 */
// Enable Top Bar.
$wp_customize->add_setting( 'yummy_pro_theme_options[enable_info_section]', array(
	'default'           => $options['enable_info_section'],
	'sanitize_callback' => 'yummy_pro_sanitize_checkbox',
) );

$wp_customize->add_control( 'yummy_pro_theme_options[enable_info_section]', array(
	'label'             => esc_html__( 'Enable Information Section', 'yummy-pro' ),
	'section'           => 'yummy_pro_top_bar',
	'type'				=> 'checkbox'
) );


for ( $i=1; $i < 4; $i++ ) { 
	// Setting: Info field.
	$wp_customize->add_setting( "yummy_pro_theme_options[top_bar_info_field_$i]", array(
		'default'              => $options['top_bar_info_field'],
		'sanitize_callback'    =>  'sanitize_text_field',
	) );

	$wp_customize->add_control( "yummy_pro_theme_options[top_bar_info_field_$i]", array(
		'label'       => sprintf( __( "Info field %d", 'yummy-pro' ), $i ),
		'description'       => sprintf( __( 'For icons refer %1$s here %2$s', 'yummy-pro' ), '<a target="_blank" href="http://fontawesome.io/icons/">', '</a>' ),
		'section'     => 'yummy_pro_top_bar',
		'type'        => 'text',
		'active_callback' => 'yummy_pro_is_info_section_enable',
	) );

	// Info icon.
	$wp_customize->add_setting( "yummy_pro_theme_options[top_bar_info_icon_$i]", array(
		'default'              => $options["top_bar_info_icon"],
		'sanitize_callback'    =>  'sanitize_text_field',
	) );

	$wp_customize->add_control( "yummy_pro_theme_options[top_bar_info_icon_$i]", array(
		'label'       => sprintf( __( "Info icon %d", 'yummy-pro' ), $i ),
		'section'     => 'yummy_pro_top_bar',
		'type'        => 'text',
		'active_callback' => 'yummy_pro_is_info_section_enable',
	) );
}

// Enable Top Bar.
$wp_customize->add_setting( 'yummy_pro_theme_options[enable_social_menu]', array(
	'default'           => $options['enable_social_menu'],
	'sanitize_callback' => 'yummy_pro_sanitize_checkbox',
) );

$wp_customize->add_control( 'yummy_pro_theme_options[enable_social_menu]', array(
	'label'             => esc_html__( 'Enable Social Menu', 'yummy-pro' ),
	'section'           => 'yummy_pro_top_bar',
	'type'				=> 'checkbox',
) );
